Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.analysis
Class BrentSolver

    java.lang.Object
      org.apache.commons.math.analysis.UnivariateRealSolverImpl
          org.apache.commons.math.analysis.BrentSolver

All Implemented Interfaces:
  Serializable, UnivariateRealSolver

public class BrentSolver
extends UnivariateRealSolverImpl

Implements the Brent algorithm for finding zeros of real univariate functions.

The function should be continuous but not necessarily smooth.

Version:
  $Revision: 1.18 $ $Date: 2004/11/07 02:17:56 $
See Also:
  Serialized Form

Field Summary
`(package private) static long` | `serialVersionUID` Serializable version identifier

Fields inherited from class org.apache.commons.math.analysis.UnivariateRealSolverImpl
`absoluteAccuracy, defaultAbsoluteAccuracy, defaultFunctionValueAccuracy, defaultMaximalIterationCount, defaultRelativeAccuracy, f, functionValueAccuracy, iterationCount, maximalIterationCount, relativeAccuracy, result, resultComputed`

Constructor Summary
`BrentSolver(UnivariateRealFunction f)` Construct a solver for the given function.

Method Summary
`double` | `solve(double min, double max)` Find a zero in the given interval.
`double` | `solve(double min, double max, double initial)` Find a zero in the given interval.

Methods inherited from class org.apache.commons.math.analysis.UnivariateRealSolverImpl
`clearResult, getAbsoluteAccuracy, getFunctionValueAccuracy, getIterationCount, getMaximalIterationCount, getRelativeAccuracy, getResult, isBracketing, isSequence, resetAbsoluteAccuracy, resetFunctionValueAccuracy, resetMaximalIterationCount, resetRelativeAccuracy, setAbsoluteAccuracy, setFunctionValueAccuracy, setMaximalIterationCount, setRelativeAccuracy, setResult, verifyBracketing, verifyInterval, verifySequence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

  Serializable version identifier

  See Also:
    Constant Field Values

Constructor Detail

### BrentSolver

    public BrentSolver(UnivariateRealFunction f)

  Construct a solver for the given function.

Parameters:
  `f` - function to solve.

Method Detail

### solve

    public double solve(double min,
                        double max,
                        double initial)
                 throws ConvergenceException,
                        FunctionEvaluationException

  Find a zero in the given interval.

  Throws `ConvergenceException` if the values of the function at the endpoints of the interval have the same sign.

  Parameters:
    `min` - the lower bound for the interval.
    `max` - the upper bound for the interval.
    `initial` - the start value to use (ignored).
  Returns:
    the value where the function is zero
  Throws:
    `ConvergenceException` - the maximum iteration count is exceeded
    `FunctionEvaluationException` - if an error occurs evaluating the function
    `IllegalArgumentException` - if initial is not between min and max

### solve

    public double solve(double min,
                        double max)
                 throws ConvergenceException,
                        FunctionEvaluationException

  Find a zero in the given interval.

  Requires that the values of the function at the endpoints have opposite signs. An `IllegalArgumentException` is thrown if this is not the case.

  Parameters:
    `min` - the lower bound for the interval.
    `max` - the upper bound for the interval.
  Returns:
    the value where the function is zero
  Throws:
    `ConvergenceException` - if the maximum iteration count is exceeded
    `FunctionEvaluationException` - if an error occurs evaluating the function
    `IllegalArgumentException` - if min is not less than max or the signs of the values of the function at the endpoints are not opposites

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.